MCP server for interacting with Knowledge Catalog (formerly known as Dataplex).

A [Model Context Protocol (MCP) server](https://modelcontextprotocol.io/docs/learn/server-concepts) acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

### Server Setup


You must [enable MCP servers](https://docs.cloud.google.com/mcp/enable-disable-mcp-servers) and [set up authentication](https://docs.cloud.google.com/mcp/authenticate-mcp) before use. For more information about using Google and Google Cloud remote MCP servers, see [Google Cloud MCP servers overview](https://docs.cloud.google.com/mcp/overview).

### Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The Cloud Dataplex API MCP server has the following global MCP endpoints:

- https://dataplex.googleapis.com/mcp
- https://dataplex.googleapis.com/mcp/data-products

The Cloud Dataplex API MCP server offers the following MCP toolset endpoints:

- https://dataplex.googleapis.com/mcp
- https://dataplex.googleapis.com/mcp/data-products

## MCP Tools

An [MCP tool](https://modelcontextprotocol.io/legacy/concepts/tools) is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world. Toolsets are a group of tools that are useful for a specific task. Using toolsets can help your agent perform better because it decreases the number of tools available to your agent.

### Toolsets

The dataplex.googleapis.com MCP server has the following toolsets:

| MCP Toolsets |||
| Endpoint | Description | Tools |
|---|---|---|
| /mcp | This toolset is used to find data assets and look up context and relationships for those assets. | ` - https://docs.cloud.google.com/knowledge-catalog/docs/reference/mcp/tools_list/search_entries - https://docs.cloud.google.com/knowledge-catalog/docs/reference/mcp/tools_list/lookup_context - https://docs.cloud.google.com/knowledge-catalog/docs/reference/mcp/tools_list/lookup_entry ` |
| /mcp/data-products | Manage the full lifecycle of Data Products and Data Assets, including creation, retrieval, updates and context lookups. | ` - https://docs.cloud.google.com/knowledge-catalog/docs/reference/mcp/tools_list/get_data_product - https://docs.cloud.google.com/knowledge-catalog/docs/reference/mcp/tools_list/get_data_asset - https://docs.cloud.google.com/knowledge-catalog/docs/reference/mcp/tools_list/list_data_products - https://docs.cloud.google.com/knowledge-catalog/docs/reference/mcp/tools_list/list_data_assets - https://docs.cloud.google.com/knowledge-catalog/docs/reference/mcp/tools_list/update_data_product_aspects - https://docs.cloud.google.com/knowledge-catalog/docs/reference/mcp/tools_list/create_data_product - https://docs.cloud.google.com/knowledge-catalog/docs/reference/mcp/tools_list/update_data_product - https://docs.cloud.google.com/knowledge-catalog/docs/reference/mcp/tools_list/create_data_asset - https://docs.cloud.google.com/knowledge-catalog/docs/reference/mcp/tools_list/update_data_asset - https://docs.cloud.google.com/knowledge-catalog/docs/reference/mcp/tools_list/get_operation - https://docs.cloud.google.com/knowledge-catalog/docs/reference/mcp/tools_list/list_data_product_aspect_types - https://docs.cloud.google.com/knowledge-catalog/docs/reference/mcp/tools_list/search_entries - https://docs.cloud.google.com/knowledge-catalog/docs/reference/mcp/tools_list/lookup_context ` |

### Get MCP tool specifications


To get the MCP tool specifications for all tools in an MCP server, use the `tools/list` method. The following example demonstrates how to use `curl` to list all tools and their specifications currently available within the MCP server.

| Curl Request |
|---|
| ```bash curl --location 'https://dataplex.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' ``` |